Skip to content

Edit Access Token

PUT
/api/v1/container_registry/token/{token_name}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/token/{token_name}/?project_name=<PROJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"duration": 2,
"description": "This token will expire in 2 days.",
"permissions": [
"pull",
"push"
],
"disable": false
}'
token_name
required
string

Token Name

project_name
required
integer

Container Registry name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
duration

Duration in days or a special value like -1 for non-expiry.

number
<= 5000

Example

2
description
string

Example

This token will expire in 2 days.
permissions
Array<array>

Example

[
"pull",
"push"
]
disable

Whether the token should be disabled or not.

boolean

Example

false

Token updated successfully.

Media typeapplication/json
object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Success"
}